package com.ozs.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ozs.entity.BaseUser;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

/**
 * @author Administrator
 */
@Mapper
public interface BaseUserMapper extends BaseMapper<BaseUser> {

    Set<String> getUserIdList(@Param("userId") String userId);

    Set<String> getUserIdByDeptId(@Param("deptId") Long deptId);

    List<Long> getDeptId(@Param("deptId") Long deptId);

    Set<String> getUserIdByDeptIds(@Param("deptList") List<Long> deptList);

    Set<String> getUserIdByDeptIdAndUserId(@Param("userId") String userId, @Param("deptId") Long deptId);

    Set<String> getUserIdListBy5(@Param("userId") String userId);

    Set<String> getUserIdByDeptIdsBy5(@Param("deptList") List<Long> deptList);

    Set<String> getUserIdList6();

    Set<String> getUserIdsList();

    BaseUser getUser(@Param("userId") String userId);
    
    BaseUser getUserName(@Param("userName") String userName);
    
    List<String> getRoleName(@Param("userId")String userId);

    BaseUser getUserById(@Param("id")Long id);

    List<String> getUserListAll();
}
